"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextLintFixer = void 0;
const fs = require("fs");
function overWriteResult(result) {
    return new Promise((resolve, reject) => {
        const targetFilePath = result.filePath;
        const output = result.output;
        fs.writeFile(targetFilePath, output, (error, result) => {
            if (error) {
                return reject(error);
            }
            resolve(result);
        });
    });
}
class TextLintFixer {
    /**
     * write output to each files and return promise
     * @param textFixMessages
     * @returns {Promise}
     */
    write(textFixMessages) {
        const promises = textFixMessages.map(overWriteResult);
        return Promise.all(promises);
    }
}
exports.TextLintFixer = TextLintFixer;
//# sourceMappingURL=textlint-fixer.js.map