import { AbstractBacker } from "./execute-file-backers/abstruct-backer";
import { TextlintResult } from "@textlint/kernel";
export declare class ExecuteFileBackerManager {
    _backers: AbstractBacker[];
    /**
     * create MessageProcessManager with backers
     * @param {AbstractBacker[]} backers
     */
    constructor(backers?: AbstractBacker[]);
    /**
     * @param {AbstractBacker} backer
     */
    add(backer: AbstractBacker): void;
    /**
     * @param {AbstractBacker} backer
     */
    remove(backer: AbstractBacker): void;
    /**
     * process `messages` with registered processes
     */
    process(files: string[], executeFile: (filePath: string) => Promise<TextlintResult>): Promise<TextlintResult[]>;
    /**
     * create fake result object
     */
    private _createFakeResult;
}
